# $Revision: 1.7 $, $Date: 2008-03-12 01:15:21 $
#
# Conditional build:
%bcond_with	acml    # With ACML version of BLAS instead of NETLIB implementation
%bcond_with	atlas	# With ATLAS version of BLAS instead of NETLIB implementation
			# (mutually exclusive with acml)
#
Summary:	Iterative linear equations solver
Summary(pl.UTF-8):	Rozwiązywanie równań liniowych metodą iteracyjną
Name:		minres
Version:	20030722
Release:	2%{?with_acml:ACML}%{?with_atlas:ATLAS}
License:	CPL
Group:		Libraries
Source0:	http://www.stanford.edu/group/SOL/software/minres/f77/minres.f
# Source0-md5:	99448f9c2c673ca4e1ea1dd4c9df7ff5
Source1:	http://www.stanford.edu/group/SOL/software/minres/f77/minresblas.f
# Source1-md5:	c510879f60034d2b41b4354f921e039f
Source2:	http://www.stanford.edu/group/SOL/software/minres/f77/minres_f77.README
# Source2-md5:	bf7c71f77416c9a8bbe267dea85134a0
Patch0:		%{name}-automake_support.patch
Patch1:		%{name}-omitblas.patch
URL:		http://www.stanford.edu/group/SOL/software/minres.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	libtool >= 2:1.5
%{!?with_acml:%{!?with_atlas:BuildRequires:	blas-devel}}
%{?with_acml:ExclusiveArch:	%{x8664}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implementation of a conjugate-gradient type method for solving sparse
linear equations: solve Ax = b or (A - sI)x = b. The matrix A - sI
must be symmetric but it may be definite or indefinite or singular.
The scalar s is a shifting parameter -- it may be any number. The
method is based on Lanczos tridiagonalization. You may provide a
preconditioner, but it must be positive definite. MINRES is really
solving the least-squares problem minimize ||(A - sI)x - b||. 

%description -l pl.UTF-8
Implementacja gradientowej metody rozwiązywania rzadkich układów
równań liniowych, postaci Ax = b albo (A - sI)x = b. Macierz A - sI
musi być symetryczna, ale może być określona, nieokreślona lub
osobliwa. Skalar s może być dowolną liczbą. Metoda jest oparta na
trójdiagonalizacji Lanczosa. Można jej dostarczyć dodatnio określony
preconditioner. W rzeczywistości, MINRES rozwiązuje problem metody
najmniejszych kwadratów: minimalizacja normy ||(A - sI)x - b||.

%package devel
Summary:	MINRES development files
Summary(pl.UTF-8):	Pliki programistyczne MINRES
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
MINRES development files.

%description devel -l pl.UTF-8
Pliki programistyczne MINRES.

%package static
Summary:	Static MINRES library
Summary(pl.UTF-8):	Statyczna biblioteka MINRES
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MINRES library.

%description static -l pl.UTF-8
Statyczna biblioteka MINRES.

%prep
%setup -q -c -T
cp %{SOURCE1} .
%patch0 -p1
%patch1 -p1

cp %{SOURCE0} .
cp %{SOURCE2} README

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CFLAGS=-O3 \
	LDFLAGS=%{?with_acml:"-lm -lg2c -lacml"}%{?with_atlas:"-lf77blas -latlas"}%{!?with_acml:%{!?with_atlas:-lblas}}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libminres.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc minres.f
%attr(755,root,root) %{_libdir}/libminres.so
%{_libdir}/libminres.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libminres.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: minres.spec,v $
Revision 1.7  2008-03-12 01:15:21  glen
- release 2

Revision 1.6  2007-02-13 06:46:54  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.4  2005/11/20 12:35:29  megabajt
- spaces -> tabs

Revision 1.3  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.2  2004/12/30 20:33:31  qboosh
- formatting, pl fix (if en is valid)

Revision 1.1  2004/12/30 00:12:53  roman
- release 1
- from scratch
- STBR
